Subject: bug#16737: Timed out waiting for reply from selection owner

From: "Alan D. Salewski" <[email-masked]>
Date: Thu, 04 Jun 2015 09:42:19 -0400

Hi Folks,

I do not know how to reproduce the issue on-demand, but I find that the
problem will re-occur regularly on my setup. I sometimes see it within a
few hours; other times I've had it take up to six or seven days to
occur.

I'm running the 'emacs24-lucid-24.4+1-5' package on Debian; 4 core intel
i7 x86_64 GNU/Linux. I've seen the issue on earlier versions of the
package, as well.

In message #135 above I see that Jan D. made some changes that might
address this issue. I'm eager to try out those changes, but before doing
so I want to capture some additional debugging info for the busted
scenario to help confirm that the new code fixes it (as opposed to moves
it).

My stacktraces look like those provided by Vincent Bernat above in
message #93.

Changing x-selection-timeout only changes the period of time I need to
wait before seeing the "Timed out waiting for reply..." message.

I used dpkg-buildpackage to rebuild the package with -DTRACE_SELECTION
enabled. The issue occurred today while pasting text from an xterm into
emacs ('git log' output displayed in 'less -FRX', though I don't think
that matters). Here's the TRACE_SELECTION output captured just before
triggering /the second/ (more on that below) occurance:

    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78309)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_handle_selection_clear

After that I attempted a new selection of the same text from the xterm
and attempted to paste it into my emacs buffer. Here is the
TRACE_SELECTION output emitted:

    11204: Get selection UTF8_STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection COMPOUND_TEXT, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify

That output suggests to me that the waited-for event is arriving
eventually (similar or the same as noted by Tom Tromey above in message
#76).

The reason I'm showing the output from "the second" occurrance is that
that's the first time that I am certain that the long pattern of
TRACE_SELECTION messsage on stderr is related to this issue.

I didn't capture timestamp information with this run, so I'm not sure
where, if anywhere, the first occurrance of the problem is visible above
the output supplied above. But scrolling back as far as I can in my
xterm buffer the pattern of output is consistent with the first 17-line
chunk below, which is the tail of the TRACE_SELECTION output. I suspect
the issue occured around this line:

    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78259)

The tail of the output is:

    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78256)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78257)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78258)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78259)
    11204: x_stop_queuing_selection_requests 1
    11204: Get selection UTF8_STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection COMPOUND_TEXT, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78260)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78261)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78262)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78263)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78264)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78265)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78266)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78267)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78268)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78269)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78270)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78271)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78272)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78273)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78274)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78275)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78276)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78277)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78278)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78279)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78280)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78281)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78282)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78283)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78284)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78285)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78286)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78287)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78288)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78289)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78290)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78291)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78292)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78293)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78294)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78295)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78296)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78297)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78298)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78299)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78300)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78301)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78302)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78303)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78304)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78305)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78306)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78307)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78308)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_start_queuing_selection_requests 1
    11204: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
    11204:  XInternAtom LENGTH
    11204:  XInternAtom FILE_NAME
    11204:  XInternAtom CHARACTER_POSITION
    11204:  XInternAtom LINE_NUMBER
    11204:  XInternAtom COLUMN_NUMBER
    11204:  XInternAtom OWNER_OS
    11204:  XInternAtom HOST_NAME
    11204:  XInternAtom USER
    11204:  XInternAtom CLASS
    11204:  XInternAtom NAME
    11204:  XInternAtom SAVE_TARGETS
    11204: Sending all 84 bytes
    11204: Sent SelectionNotify: CLIPBOARD, target TARGETS (78309)
    11204: x_stop_queuing_selection_requests 1
    11204: x_handle_selection_event
    11204: x_handle_selection_clear
    11204: Get selection UTF8_STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection COMPOUND_TEXT, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Get selection STRING, type _EMACS_TMP_
    11204:   Start waiting 5 secs for SelectionNotify
    11204:   Got event = 0
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify
    11204: Received SelectionNotify

More info as I have it...

Thanks,
-Al